<?php
if(defined('mnminclude')){
	include_once('scriptaculous_settings.php');
	
	// tell pligg what pages this modules should be included in
	// pages are <script name> minus .php
	// index.php becomes 'index' and upcoming.php becomes 'upcoming'
	$include_in_pages = array('all');
	$do_not_include_in_pages = array();
	
	if( do_we_load_module() ) {
		$loadable_js_files = array();
		
		$canIhaveAccess = 0;
		$canIhaveAccess = $canIhaveAccess + checklevel('god');
		
		if($canIhaveAccess == 1){	
			if(enable_gzip_files == true)
			{
				$loadable_js_files = array('js/pligg_effects-min.js','js/EditInPlace.js','js/dragdrop.js');
			}else{
				$loadable_js_files = array('js/pligg_effects-min.js','js/EditInPlace.js','js/dragdrop.js');
			}
		}	
		else {
			if(enable_gzip_files == true)
			{
				$loadable_js_files = array('js/pligg_effects-min.js');
			}else{
				$loadable_js_files = array('js/pligg_effects-min.js');
			}
		}
			
		foreach($loadable_js_files as $loadable_js_file)
		{
			module_add_js(scriptaculous_path . $loadable_js_file);
		}
	}
}
?>
